<?php 
	require_once 'simple_html_dom.php';
	$html = file_get_html('https://eldni.com/buscar-por-dni?dni=45841369');
$numdni = $html->find('th', 4);
$nombre = $html->find('td', 0);
$image = $html->find('img', 0);

echo $numdni->plaintext."<br>\n";
echo $nombre->plaintext."<br>\n";
echo $image->src;
    
    /*$dom = file_get_html("https://eldni.com/buscar-por-dni?dni=45841369",false);

    $data = file_get_contents('http://www.google.com/');

	preg_match('/<title>([^<]+)<\/title>/i', $data, $matches);
	$title = $matches[1];

	preg_match('/<img[^>]*src=[\'"]([^\'"]+)[\'"][^>]*>/i', $data, $matches);
	$img = $matches[1];

	echo $title."<br>\n";
	echo $img;

    /*collect all user’s reviews into an array
	$answer = array();
	if(!empty($dom)) {
	$divClass = $title = $i = 0;
	foreach($dom->find(".table-responsive") as $divClass) {
	//title
	foreach($divClass->find(".row") as $title ) {
	$answer[$i]['title'] = $title->plaintext;
	}
	//ipl-ratings-bar
	foreach($divClass->find(".text-left") as $ipl_ratings_bar ) {
	$answer[$i]['rate'] = trim($ipl_ratings_bar->plaintext);
	}
	//content
	foreach($divClass->find('div[class=text show-more__control]') as $desc) {
	$text = html_entity_decode($desc->plaintext);
	$text = preg_replace('/\&#39;/’, “‘”, $text');
	$answer[$i]['content'] = html_entity_decode($text);
	}
	$i++;
	}
	}
	print_r($answer); exit;
	/*
    // Definimos la función cURL
    function curl($url) {
        $ch = curl_init($url); // Inicia sesión cURL
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE); // Configura cURL para devolver el resultado como cadena
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); // Configura cURL para que no verifique el peer del certificado dado que nuestra URL utiliza el protocolo HTTPS
        $info = curl_exec($ch); // Establece una sesión cURL y asigna la información a la variable $info
        curl_close($ch); // Cierra sesión cURL
        return $info; // Devuelve la información de la función
    }

    $sitioweb = curl("https://devcode.la");  // Ejecuta la función curl escrapeando el sitio web https://devcode.la and regresa el valor a la variable $sitioweb
    echo $sitioweb;*/
?>